/*
** Simple example for creating threads with C++ threads.
**
** Compile with:
**    g++ -Wall -o hello -pthread hello.c
*/

#include <iostream>
#include <thread>

void SayHello()
{
	std::cout << "Hello World!\n";
}

int main(int argc, char **argv)
{
	/* Create the thread */
	std::thread t(SayHello);
	
	/* Wait for the thread to finish */
	t.join();

	return 0;
}

